# $Revision: 1.3 $, $Date: 2002/09/17 12:21:33 $
%define _pre pre5

Summary:	A GUI tool to rename and tag mp3 and ogg/vorbis files
Summary(pl):	Graficzne narzdzie do zmiany nazw i tagw dla plikw mp3 oraz ogg/vorbis
Name:		gmp3
Version:	1.0
Release:	%{_pre}.1
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://sam.homeunix.com/software.manicsadness.com/gmp3/releases/%{name}-%{version}%{_pre}-1.tar.gz
Patch0:		%{name}-configure.patch
Patch1:		%{name}-desktop.patch
URL:		http://software.manicsadness.com/gmp3
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gnome-libs-devel >= 1.2.8
BuildRequires:	libogg-devel
BuildRequires:	libvorbis-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
gmp3 is a suite to rename and tag mp3 and ogg/vorbis files.

Features:

- define rules for renaming, which you can proceed on a list of files
- mass renaming/tagging of mp3s
- define rules to apply on a queue of mp3files
- dynamically tagging is implemented, that means, you can generate a
  tag out of the filename and/or directory name
- renaming of files through freedb
- a LOT more

%description -l pl
gmp3 jest zestawem narzdzi do zmiany nazw lub tagw dla plikw mp3
oraz ogg/vorbis.

Program umoliwia:

- definiowanie zasad dla zmian nazw, ktrych mona uywa na listach
  plikw
- masowe zmiany nazw/tagowanie plikw mp3
- definiowanie zasad dziaajcych na kolejce plikw mp3
- dynamiczne tagowanie, czyli moliwo generowania tagu na podstawie
  nazwy pliku i\lub katalogu
- zmian nazw plikw korzystajc z freedb
- DUO wicej

%prep
%setup -q -n %{name}-%{version}%{_pre}
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__aclocal} -I %{_aclocaldir}/gnome
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	gnomemenudir=%{_applnkdir}/Multimedia
	
mv $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}/%{name}_icon.png \
	$RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_applnkdir}/Multimedia/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gmp3.spec,v $
Revision 1.3  2002/09/17 12:21:33  grzegol
- updated to 1.0pre5

Revision 1.2  2002/09/11 18:46:27  kloczek
- cleanups and simplifications.

Revision 1.1  2002/09/11 17:21:00  grzegol
- new

